package com.bizmatics.service;

import com.bizmatics.common.core.bean.CommonPage;
import com.bizmatics.common.mvc.base.CrudService;
import com.bizmatics.model.DeviceAttribute;
import com.bizmatics.model.vo.MonitorDeviceListVO;

import java.util.List;

/**
 * 设备属性 服务类
 *
 * @author ya
 * @since 2021-09-24
 */
public interface DeviceAttributeService extends CrudService<DeviceAttribute> {

    void deviceNewsAdd(DeviceAttribute deviceAttribute);

    void deviceNewsUpdate(DeviceAttribute deviceAttribute);

    CommonPage<DeviceAttribute> deviceNewsList(Integer id, Integer siteId,Integer size,Integer current);

    void deviceNewsDel(int id);

    CommonPage<MonitorDeviceListVO> monitorDeviceList(String siteName,Integer size,Integer current);
}
